﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace xamCalendar_setColorToDay
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent(); 
        }
    }

    public class ForegroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (((DateTime)(value)).DayOfYear == 112)
            {
                return Brushes.Red;
            }
            else if (((DateTime)(value)).DayOfYear == 115)
            {
                return Brushes.Green;
            }
           
            else if (((DateTime)(value)).DayOfYear == 160)
            {
                return Brushes.Blue;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class BackgroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (((DateTime)(value)).DayOfYear == 112)
            {
                return Brushes.Blue;
            }
            else if (((DateTime)(value)).DayOfYear == 115)
            {
                return Brushes.Yellow;
            }
            else if (((DateTime)(value)).DayOfYear == 160)
            {
                return Brushes.Red;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


}
